## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 31;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           eegdev
Version:        0.2
Release:        %autorelease
Summary:        Library to acquire data from various EEG recording devices

License:        LGPL-3.0-or-later
URL:            http://cnbi.epfl.ch/software/eegdev.html
Source0:        http://download.sourceforge.net/eegdev/%{name}-%{version}.tar.bz2
Patch0:         fix-biosemi-on-bigendian.patch
Patch1:         fix-racecond-in-biosemi-tests.patch
Patch2:         fix-biosemi-close-hangups.patch
Patch3:         fix-bison-grammar-file.patch
Patch4:         include-config_h.patch
Patch5:         fix-unaligned-memory-access.patch
Patch6:         work-around-flex-bug.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  automake autoconf libtool
BuildRequires:  gnulib-devel
BuildRequires:  bison flex
# EEGfile backend
BuildRequires:  xdffileio-devel
# Biosemi backend
BuildRequires:  libusbx-devel
# Neurosky backend
BuildRequires:  bluez-libs-devel
# Tobi interface A backend
BuildRequires:  expat-devel
BuildRequires: make
Recommends:     %{name}-plugins%{?_isa}
Provides:       bundled(gnulib)

%description
eegdev is a library that provides a unified interface for accessing various EEG
(and other biosignals) acquisition systems. This interface has been designed to
be both flexible and efficient. The device specific part is implemented by the
mean of plugins which makes adding new device backend fairly easy even if the
library does not support them yet officially.

The core library not only provides to users a unified and consistent interfaces
to the acquisition device but it also provides many functionalities to the
device backends (plugins) ranging from configuration to data casting and scaling
making writing new device backend an easy task.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        plugins
Summary:        Plugins for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    plugins
Plugins for %{name}.

%prep
%autosetup -p1

# drop bundled libs
rm -rf lib/*

# do not run neurosky test (requires /dev/rfcomm0)
sed -i -e '/TESTS += sysneurosky/d' tests/Makefile.am

%build
./autogen.sh
%configure --enable-corelib-build \
  --with-xdf                      \
  --with-act2                     \
  --with-neurosky                 \
  --with-tia                      
make %{?_smp_mflags}

%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
make check

%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.*
%dir %{_libdir}/%{name}/
%{_mandir}/man5/%{name}-open-options.5*

%files devel
%doc %{_docdir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}*.h
%{_mandir}/man3/egd_*.3*

%files plugins
%{_libdir}/%{name}/*
%exclude %{_mandir}/man5/%{name}-open-options.5*
%{_mandir}/man5/%{name}-*.5*

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Miroslav Suchý <msuchy@redhat.com> - 0.2-29
- convert LGPLv3+ license to SPDX

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 21 2023 Sandro <devel@penguinpee.nl> - 0.2-19
- Make sure config.h is included first (RHBZ#2225765)

* Sat Dec 16 2023 Sandro <devel@penguinpee.nl> - 0.2-18
- Drop i686 support

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 29 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2-1
- Initial package

## END: Generated by rpmautospec
